import 'package:snowtodoapp/domain/entities/todo_entity.dart';

extension ToDoItemMapper on TodoItem {
  Map<String, dynamic> get toJson =>
      {'id': id, 'title': title, 'isDone': isDone};

  fromJson(Map<dynamic, dynamic> map) => TodoItem(
      id: map['id'].toString(), title: map['title'], isDone: map['isDone']);
}
